% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.768627450980392,0.305882352941176,0.32156862745098}
\definecolor{color1}{rgb}{0.333333333333333,0.658823529411765,0.407843137254902}
\definecolor{color2}{rgb}{0.298039215686275,0.447058823529412,0.690196078431373}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
log basis y={10},
tick pos=both,
width=312.0pt,
x grid style={white!80!black},
xlabel={Input Size [Kbit]},
xmajorgrids,
xmin=-2.475, xmax=51.975,
xtick style={color=white!15!black},
xtick={-10,0,10,20,30,40,50,60},
xticklabels={\(\displaystyle {-10}\),\(\displaystyle {0}\),\(\displaystyle {10}\),\(\displaystyle {20}\),\(\displaystyle {30}\),\(\displaystyle {40}\),\(\displaystyle {50}\),\(\displaystyle {60}\)},
y grid style={white!80!black},
ylabel={Energy [mJ]},
ymajorgrids,
ymin=0.00310114023001122, ymax=19636.7809438693,
ymode=log,
ytick style={color=white!15!black},
ytick={0.0001,0.001,0.01,0.1,1,10,100,1000,10000,100000,1000000},
yticklabels={\(\displaystyle {10^{-4}}\),\(\displaystyle {10^{-3}}\),\(\displaystyle {10^{-2}}\),\(\displaystyle {10^{-1}}\),\(\displaystyle {10^{0}}\),\(\displaystyle {10^{1}}\),\(\displaystyle {10^{2}}\),\(\displaystyle {10^{3}}\),\(\displaystyle {10^{4}}\),\(\displaystyle {10^{5}}\),\(\displaystyle {10^{6}}\)}
]
\addplot [draw=none, mark=*, draw=white!10!black, fill=white!10!black, colormap={mymap}{[1pt]
 rgb(0pt)=(0.01060815,0.01808215,0.10018654);
  rgb(1pt)=(0.01428972,0.02048237,0.10374486);
  rgb(2pt)=(0.01831941,0.0229766,0.10738511);
  rgb(3pt)=(0.02275049,0.02554464,0.11108639);
  rgb(4pt)=(0.02759119,0.02818316,0.11483751);
  rgb(5pt)=(0.03285175,0.03088792,0.11863035);
  rgb(6pt)=(0.03853466,0.03365771,0.12245873);
  rgb(7pt)=(0.04447016,0.03648425,0.12631831);
  rgb(8pt)=(0.05032105,0.03936808,0.13020508);
  rgb(9pt)=(0.05611171,0.04224835,0.13411624);
  rgb(10pt)=(0.0618531,0.04504866,0.13804929);
  rgb(11pt)=(0.06755457,0.04778179,0.14200206);
  rgb(12pt)=(0.0732236,0.05045047,0.14597263);
  rgb(13pt)=(0.0788708,0.05305461,0.14995981);
  rgb(14pt)=(0.08450105,0.05559631,0.15396203);
  rgb(15pt)=(0.09011319,0.05808059,0.15797687);
  rgb(16pt)=(0.09572396,0.06050127,0.16200507);
  rgb(17pt)=(0.10132312,0.06286782,0.16604287);
  rgb(18pt)=(0.10692823,0.06517224,0.17009175);
  rgb(19pt)=(0.1125315,0.06742194,0.17414848);
  rgb(20pt)=(0.11813947,0.06961499,0.17821272);
  rgb(21pt)=(0.12375803,0.07174938,0.18228425);
  rgb(22pt)=(0.12938228,0.07383015,0.18636053);
  rgb(23pt)=(0.13501631,0.07585609,0.19044109);
  rgb(24pt)=(0.14066867,0.0778224,0.19452676);
  rgb(25pt)=(0.14633406,0.07973393,0.1986151);
  rgb(26pt)=(0.15201338,0.08159108,0.20270523);
  rgb(27pt)=(0.15770877,0.08339312,0.20679668);
  rgb(28pt)=(0.16342174,0.0851396,0.21088893);
  rgb(29pt)=(0.16915387,0.08682996,0.21498104);
  rgb(30pt)=(0.17489524,0.08848235,0.2190294);
  rgb(31pt)=(0.18065495,0.09009031,0.22303512);
  rgb(32pt)=(0.18643324,0.09165431,0.22699705);
  rgb(33pt)=(0.19223028,0.09317479,0.23091409);
  rgb(34pt)=(0.19804623,0.09465217,0.23478512);
  rgb(35pt)=(0.20388117,0.09608689,0.23860907);
  rgb(36pt)=(0.20973515,0.09747934,0.24238489);
  rgb(37pt)=(0.21560818,0.09882993,0.24611154);
  rgb(38pt)=(0.22150014,0.10013944,0.2497868);
  rgb(39pt)=(0.22741085,0.10140876,0.25340813);
  rgb(40pt)=(0.23334047,0.10263737,0.25697736);
  rgb(41pt)=(0.23928891,0.10382562,0.2604936);
  rgb(42pt)=(0.24525608,0.10497384,0.26395596);
  rgb(43pt)=(0.25124182,0.10608236,0.26736359);
  rgb(44pt)=(0.25724602,0.10715148,0.27071569);
  rgb(45pt)=(0.26326851,0.1081815,0.27401148);
  rgb(46pt)=(0.26930915,0.1091727,0.2772502);
  rgb(47pt)=(0.27536766,0.11012568,0.28043021);
  rgb(48pt)=(0.28144375,0.11104133,0.2835489);
  rgb(49pt)=(0.2875374,0.11191896,0.28660853);
  rgb(50pt)=(0.29364846,0.11275876,0.2896085);
  rgb(51pt)=(0.29977678,0.11356089,0.29254823);
  rgb(52pt)=(0.30592213,0.11432553,0.29542718);
  rgb(53pt)=(0.31208435,0.11505284,0.29824485);
  rgb(54pt)=(0.31826327,0.1157429,0.30100076);
  rgb(55pt)=(0.32445869,0.11639585,0.30369448);
  rgb(56pt)=(0.33067031,0.11701189,0.30632563);
  rgb(57pt)=(0.33689808,0.11759095,0.3088938);
  rgb(58pt)=(0.34314168,0.11813362,0.31139721);
  rgb(59pt)=(0.34940101,0.11863987,0.3138355);
  rgb(60pt)=(0.355676,0.11910909,0.31620996);
  rgb(61pt)=(0.36196644,0.1195413,0.31852037);
  rgb(62pt)=(0.36827206,0.11993653,0.32076656);
  rgb(63pt)=(0.37459292,0.12029443,0.32294825);
  rgb(64pt)=(0.38092887,0.12061482,0.32506528);
  rgb(65pt)=(0.38727975,0.12089756,0.3271175);
  rgb(66pt)=(0.39364518,0.12114272,0.32910494);
  rgb(67pt)=(0.40002537,0.12134964,0.33102734);
  rgb(68pt)=(0.40642019,0.12151801,0.33288464);
  rgb(69pt)=(0.41282936,0.12164769,0.33467689);
  rgb(70pt)=(0.41925278,0.12173833,0.33640407);
  rgb(71pt)=(0.42569057,0.12178916,0.33806605);
  rgb(72pt)=(0.43214263,0.12179973,0.33966284);
  rgb(73pt)=(0.43860848,0.12177004,0.34119475);
  rgb(74pt)=(0.44508855,0.12169883,0.34266151);
  rgb(75pt)=(0.45158266,0.12158557,0.34406324);
  rgb(76pt)=(0.45809049,0.12142996,0.34540024);
  rgb(77pt)=(0.46461238,0.12123063,0.34667231);
  rgb(78pt)=(0.47114798,0.12098721,0.34787978);
  rgb(79pt)=(0.47769736,0.12069864,0.34902273);
  rgb(80pt)=(0.48426077,0.12036349,0.35010104);
  rgb(81pt)=(0.49083761,0.11998161,0.35111537);
  rgb(82pt)=(0.49742847,0.11955087,0.35206533);
  rgb(83pt)=(0.50403286,0.11907081,0.35295152);
  rgb(84pt)=(0.51065109,0.11853959,0.35377385);
  rgb(85pt)=(0.51728314,0.1179558,0.35453252);
  rgb(86pt)=(0.52392883,0.11731817,0.35522789);
  rgb(87pt)=(0.53058853,0.11662445,0.35585982);
  rgb(88pt)=(0.53726173,0.11587369,0.35642903);
  rgb(89pt)=(0.54394898,0.11506307,0.35693521);
  rgb(90pt)=(0.5506426,0.11420757,0.35737863);
  rgb(91pt)=(0.55734473,0.11330456,0.35775059);
  rgb(92pt)=(0.56405586,0.11235265,0.35804813);
  rgb(93pt)=(0.57077365,0.11135597,0.35827146);
  rgb(94pt)=(0.5774991,0.11031233,0.35841679);
  rgb(95pt)=(0.58422945,0.10922707,0.35848469);
  rgb(96pt)=(0.59096382,0.10810205,0.35847347);
  rgb(97pt)=(0.59770215,0.10693774,0.35838029);
  rgb(98pt)=(0.60444226,0.10573912,0.35820487);
  rgb(99pt)=(0.61118304,0.10450943,0.35794557);
  rgb(100pt)=(0.61792306,0.10325288,0.35760108);
  rgb(101pt)=(0.62466162,0.10197244,0.35716891);
  rgb(102pt)=(0.63139686,0.10067417,0.35664819);
  rgb(103pt)=(0.63812122,0.09938212,0.35603757);
  rgb(104pt)=(0.64483795,0.0980891,0.35533555);
  rgb(105pt)=(0.65154562,0.09680192,0.35454107);
  rgb(106pt)=(0.65824241,0.09552918,0.3536529);
  rgb(107pt)=(0.66492652,0.09428017,0.3526697);
  rgb(108pt)=(0.67159578,0.09306598,0.35159077);
  rgb(109pt)=(0.67824099,0.09192342,0.3504148);
  rgb(110pt)=(0.684863,0.09085633,0.34914061);
  rgb(111pt)=(0.69146268,0.0898675,0.34776864);
  rgb(112pt)=(0.69803757,0.08897226,0.3462986);
  rgb(113pt)=(0.70457834,0.0882129,0.34473046);
  rgb(114pt)=(0.71108138,0.08761223,0.3430635);
  rgb(115pt)=(0.7175507,0.08716212,0.34129974);
  rgb(116pt)=(0.72398193,0.08688725,0.33943958);
  rgb(117pt)=(0.73035829,0.0868623,0.33748452);
  rgb(118pt)=(0.73669146,0.08704683,0.33543669);
  rgb(119pt)=(0.74297501,0.08747196,0.33329799);
  rgb(120pt)=(0.74919318,0.08820542,0.33107204);
  rgb(121pt)=(0.75535825,0.08919792,0.32876184);
  rgb(122pt)=(0.76145589,0.09050716,0.32637117);
  rgb(123pt)=(0.76748424,0.09213602,0.32390525);
  rgb(124pt)=(0.77344838,0.09405684,0.32136808);
  rgb(125pt)=(0.77932641,0.09634794,0.31876642);
  rgb(126pt)=(0.78513609,0.09892473,0.31610488);
  rgb(127pt)=(0.79085854,0.10184672,0.313391);
  rgb(128pt)=(0.7965014,0.10506637,0.31063031);
  rgb(129pt)=(0.80205987,0.10858333,0.30783);
  rgb(130pt)=(0.80752799,0.11239964,0.30499738);
  rgb(131pt)=(0.81291606,0.11645784,0.30213802);
  rgb(132pt)=(0.81820481,0.12080606,0.29926105);
  rgb(133pt)=(0.82341472,0.12535343,0.2963705);
  rgb(134pt)=(0.82852822,0.13014118,0.29347474);
  rgb(135pt)=(0.83355779,0.13511035,0.29057852);
  rgb(136pt)=(0.83850183,0.14025098,0.2876878);
  rgb(137pt)=(0.84335441,0.14556683,0.28480819);
  rgb(138pt)=(0.84813096,0.15099892,0.281943);
  rgb(139pt)=(0.85281737,0.15657772,0.27909826);
  rgb(140pt)=(0.85742602,0.1622583,0.27627462);
  rgb(141pt)=(0.86196552,0.16801239,0.27346473);
  rgb(142pt)=(0.86641628,0.17387796,0.27070818);
  rgb(143pt)=(0.87079129,0.17982114,0.26797378);
  rgb(144pt)=(0.87507281,0.18587368,0.26529697);
  rgb(145pt)=(0.87925878,0.19203259,0.26268136);
  rgb(146pt)=(0.8833417,0.19830556,0.26014181);
  rgb(147pt)=(0.88731387,0.20469941,0.25769539);
  rgb(148pt)=(0.89116859,0.21121788,0.2553592);
  rgb(149pt)=(0.89490337,0.21785614,0.25314362);
  rgb(150pt)=(0.8985026,0.22463251,0.25108745);
  rgb(151pt)=(0.90197527,0.23152063,0.24918223);
  rgb(152pt)=(0.90530097,0.23854541,0.24748098);
  rgb(153pt)=(0.90848638,0.24568473,0.24598324);
  rgb(154pt)=(0.911533,0.25292623,0.24470258);
  rgb(155pt)=(0.9144225,0.26028902,0.24369359);
  rgb(156pt)=(0.91717106,0.26773821,0.24294137);
  rgb(157pt)=(0.91978131,0.27526191,0.24245973);
  rgb(158pt)=(0.92223947,0.28287251,0.24229568);
  rgb(159pt)=(0.92456587,0.29053388,0.24242622);
  rgb(160pt)=(0.92676657,0.29823282,0.24285536);
  rgb(161pt)=(0.92882964,0.30598085,0.24362274);
  rgb(162pt)=(0.93078135,0.31373977,0.24468803);
  rgb(163pt)=(0.93262051,0.3215093,0.24606461);
  rgb(164pt)=(0.93435067,0.32928362,0.24775328);
  rgb(165pt)=(0.93599076,0.33703942,0.24972157);
  rgb(166pt)=(0.93752831,0.34479177,0.25199928);
  rgb(167pt)=(0.93899289,0.35250734,0.25452808);
  rgb(168pt)=(0.94036561,0.36020899,0.25734661);
  rgb(169pt)=(0.94167588,0.36786594,0.2603949);
  rgb(170pt)=(0.94291042,0.37549479,0.26369821);
  rgb(171pt)=(0.94408513,0.3830811,0.26722004);
  rgb(172pt)=(0.94520419,0.39062329,0.27094924);
  rgb(173pt)=(0.94625977,0.39813168,0.27489742);
  rgb(174pt)=(0.94727016,0.4055909,0.27902322);
  rgb(175pt)=(0.94823505,0.41300424,0.28332283);
  rgb(176pt)=(0.94914549,0.42038251,0.28780969);
  rgb(177pt)=(0.95001704,0.42771398,0.29244728);
  rgb(178pt)=(0.95085121,0.43500005,0.29722817);
  rgb(179pt)=(0.95165009,0.44224144,0.30214494);
  rgb(180pt)=(0.9524044,0.44944853,0.3072105);
  rgb(181pt)=(0.95312556,0.45661389,0.31239776);
  rgb(182pt)=(0.95381595,0.46373781,0.31769923);
  rgb(183pt)=(0.95447591,0.47082238,0.32310953);
  rgb(184pt)=(0.95510255,0.47787236,0.32862553);
  rgb(185pt)=(0.95569679,0.48489115,0.33421404);
  rgb(186pt)=(0.95626788,0.49187351,0.33985601);
  rgb(187pt)=(0.95681685,0.49882008,0.34555431);
  rgb(188pt)=(0.9573439,0.50573243,0.35130912);
  rgb(189pt)=(0.95784842,0.51261283,0.35711942);
  rgb(190pt)=(0.95833051,0.51946267,0.36298589);
  rgb(191pt)=(0.95879054,0.52628305,0.36890904);
  rgb(192pt)=(0.95922872,0.53307513,0.3748895);
  rgb(193pt)=(0.95964538,0.53983991,0.38092784);
  rgb(194pt)=(0.96004345,0.54657593,0.3870292);
  rgb(195pt)=(0.96042097,0.55328624,0.39319057);
  rgb(196pt)=(0.96077819,0.55997184,0.39941173);
  rgb(197pt)=(0.9611152,0.5666337,0.40569343);
  rgb(198pt)=(0.96143273,0.57327231,0.41203603);
  rgb(199pt)=(0.96173392,0.57988594,0.41844491);
  rgb(200pt)=(0.96201757,0.58647675,0.42491751);
  rgb(201pt)=(0.96228344,0.59304598,0.43145271);
  rgb(202pt)=(0.96253168,0.5995944,0.43805131);
  rgb(203pt)=(0.96276513,0.60612062,0.44471698);
  rgb(204pt)=(0.96298491,0.6126247,0.45145074);
  rgb(205pt)=(0.96318967,0.61910879,0.45824902);
  rgb(206pt)=(0.96337949,0.6255736,0.46511271);
  rgb(207pt)=(0.96355923,0.63201624,0.47204746);
  rgb(208pt)=(0.96372785,0.63843852,0.47905028);
  rgb(209pt)=(0.96388426,0.64484214,0.4861196);
  rgb(210pt)=(0.96403203,0.65122535,0.4932578);
  rgb(211pt)=(0.96417332,0.65758729,0.50046894);
  rgb(212pt)=(0.9643063,0.66393045,0.5077467);
  rgb(213pt)=(0.96443322,0.67025402,0.51509334);
  rgb(214pt)=(0.96455845,0.67655564,0.52251447);
  rgb(215pt)=(0.96467922,0.68283846,0.53000231);
  rgb(216pt)=(0.96479861,0.68910113,0.53756026);
  rgb(217pt)=(0.96492035,0.69534192,0.5451917);
  rgb(218pt)=(0.96504223,0.7015636,0.5528892);
  rgb(219pt)=(0.96516917,0.70776351,0.5606593);
  rgb(220pt)=(0.96530224,0.71394212,0.56849894);
  rgb(221pt)=(0.96544032,0.72010124,0.57640375);
  rgb(222pt)=(0.96559206,0.72623592,0.58438387);
  rgb(223pt)=(0.96575293,0.73235058,0.59242739);
  rgb(224pt)=(0.96592829,0.73844258,0.60053991);
  rgb(225pt)=(0.96612013,0.74451182,0.60871954);
  rgb(226pt)=(0.96632832,0.75055966,0.61696136);
  rgb(227pt)=(0.96656022,0.75658231,0.62527295);
  rgb(228pt)=(0.96681185,0.76258381,0.63364277);
  rgb(229pt)=(0.96709183,0.76855969,0.64207921);
  rgb(230pt)=(0.96739773,0.77451297,0.65057302);
  rgb(231pt)=(0.96773482,0.78044149,0.65912731);
  rgb(232pt)=(0.96810471,0.78634563,0.66773889);
  rgb(233pt)=(0.96850919,0.79222565,0.6764046);
  rgb(234pt)=(0.96893132,0.79809112,0.68512266);
  rgb(235pt)=(0.96935926,0.80395415,0.69383201);
  rgb(236pt)=(0.9698028,0.80981139,0.70252255);
  rgb(237pt)=(0.97025511,0.81566605,0.71120296);
  rgb(238pt)=(0.97071849,0.82151775,0.71987163);
  rgb(239pt)=(0.97120159,0.82736371,0.72851999);
  rgb(240pt)=(0.97169389,0.83320847,0.73716071);
  rgb(241pt)=(0.97220061,0.83905052,0.74578903);
  rgb(242pt)=(0.97272597,0.84488881,0.75440141);
  rgb(243pt)=(0.97327085,0.85072354,0.76299805);
  rgb(244pt)=(0.97383206,0.85655639,0.77158353);
  rgb(245pt)=(0.97441222,0.86238689,0.78015619);
  rgb(246pt)=(0.97501782,0.86821321,0.78871034);
  rgb(247pt)=(0.97564391,0.87403763,0.79725261);
  rgb(248pt)=(0.97628674,0.87986189,0.8057883);
  rgb(249pt)=(0.97696114,0.88568129,0.81430324);
  rgb(250pt)=(0.97765722,0.89149971,0.82280948);
  rgb(251pt)=(0.97837585,0.89731727,0.83130786);
  rgb(252pt)=(0.97912374,0.90313207,0.83979337);
  rgb(253pt)=(0.979891,0.90894778,0.84827858);
  rgb(254pt)=(0.98067764,0.91476465,0.85676611);
  rgb(255pt)=(0.98137749,0.92061729,0.86536915)
}]
table{%
x                      y
0 -0.25
0.066300775 -0.25
0.129894967696213 -0.22365842289706
0.176776695296637 -0.176776695296637
0.22365842289706 -0.129894967696213
0.25 -0.066300775
0.25 0
0.25 0.066300775
0.22365842289706 0.129894967696213
0.176776695296637 0.176776695296637
0.129894967696213 0.22365842289706
0.066300775 0.25
0 0.25
-0.066300775 0.25
-0.129894967696213 0.22365842289706
-0.176776695296637 0.176776695296637
-0.22365842289706 0.129894967696213
-0.25 0.066300775
-0.25 0
-0.25 -0.066300775
-0.22365842289706 -0.129894967696213
-0.176776695296637 -0.176776695296637
-0.129894967696213 -0.22365842289706
-0.066300775 -0.25
0 -0.25
0 -0.25
};
\addlegendentry{ResNet-20}
\addplot [draw=none, mark=x, draw=color0, fill=color0, colormap={mymap}{[1pt]
 rgb(0pt)=(0.01060815,0.01808215,0.10018654);
  rgb(1pt)=(0.01428972,0.02048237,0.10374486);
  rgb(2pt)=(0.01831941,0.0229766,0.10738511);
  rgb(3pt)=(0.02275049,0.02554464,0.11108639);
  rgb(4pt)=(0.02759119,0.02818316,0.11483751);
  rgb(5pt)=(0.03285175,0.03088792,0.11863035);
  rgb(6pt)=(0.03853466,0.03365771,0.12245873);
  rgb(7pt)=(0.04447016,0.03648425,0.12631831);
  rgb(8pt)=(0.05032105,0.03936808,0.13020508);
  rgb(9pt)=(0.05611171,0.04224835,0.13411624);
  rgb(10pt)=(0.0618531,0.04504866,0.13804929);
  rgb(11pt)=(0.06755457,0.04778179,0.14200206);
  rgb(12pt)=(0.0732236,0.05045047,0.14597263);
  rgb(13pt)=(0.0788708,0.05305461,0.14995981);
  rgb(14pt)=(0.08450105,0.05559631,0.15396203);
  rgb(15pt)=(0.09011319,0.05808059,0.15797687);
  rgb(16pt)=(0.09572396,0.06050127,0.16200507);
  rgb(17pt)=(0.10132312,0.06286782,0.16604287);
  rgb(18pt)=(0.10692823,0.06517224,0.17009175);
  rgb(19pt)=(0.1125315,0.06742194,0.17414848);
  rgb(20pt)=(0.11813947,0.06961499,0.17821272);
  rgb(21pt)=(0.12375803,0.07174938,0.18228425);
  rgb(22pt)=(0.12938228,0.07383015,0.18636053);
  rgb(23pt)=(0.13501631,0.07585609,0.19044109);
  rgb(24pt)=(0.14066867,0.0778224,0.19452676);
  rgb(25pt)=(0.14633406,0.07973393,0.1986151);
  rgb(26pt)=(0.15201338,0.08159108,0.20270523);
  rgb(27pt)=(0.15770877,0.08339312,0.20679668);
  rgb(28pt)=(0.16342174,0.0851396,0.21088893);
  rgb(29pt)=(0.16915387,0.08682996,0.21498104);
  rgb(30pt)=(0.17489524,0.08848235,0.2190294);
  rgb(31pt)=(0.18065495,0.09009031,0.22303512);
  rgb(32pt)=(0.18643324,0.09165431,0.22699705);
  rgb(33pt)=(0.19223028,0.09317479,0.23091409);
  rgb(34pt)=(0.19804623,0.09465217,0.23478512);
  rgb(35pt)=(0.20388117,0.09608689,0.23860907);
  rgb(36pt)=(0.20973515,0.09747934,0.24238489);
  rgb(37pt)=(0.21560818,0.09882993,0.24611154);
  rgb(38pt)=(0.22150014,0.10013944,0.2497868);
  rgb(39pt)=(0.22741085,0.10140876,0.25340813);
  rgb(40pt)=(0.23334047,0.10263737,0.25697736);
  rgb(41pt)=(0.23928891,0.10382562,0.2604936);
  rgb(42pt)=(0.24525608,0.10497384,0.26395596);
  rgb(43pt)=(0.25124182,0.10608236,0.26736359);
  rgb(44pt)=(0.25724602,0.10715148,0.27071569);
  rgb(45pt)=(0.26326851,0.1081815,0.27401148);
  rgb(46pt)=(0.26930915,0.1091727,0.2772502);
  rgb(47pt)=(0.27536766,0.11012568,0.28043021);
  rgb(48pt)=(0.28144375,0.11104133,0.2835489);
  rgb(49pt)=(0.2875374,0.11191896,0.28660853);
  rgb(50pt)=(0.29364846,0.11275876,0.2896085);
  rgb(51pt)=(0.29977678,0.11356089,0.29254823);
  rgb(52pt)=(0.30592213,0.11432553,0.29542718);
  rgb(53pt)=(0.31208435,0.11505284,0.29824485);
  rgb(54pt)=(0.31826327,0.1157429,0.30100076);
  rgb(55pt)=(0.32445869,0.11639585,0.30369448);
  rgb(56pt)=(0.33067031,0.11701189,0.30632563);
  rgb(57pt)=(0.33689808,0.11759095,0.3088938);
  rgb(58pt)=(0.34314168,0.11813362,0.31139721);
  rgb(59pt)=(0.34940101,0.11863987,0.3138355);
  rgb(60pt)=(0.355676,0.11910909,0.31620996);
  rgb(61pt)=(0.36196644,0.1195413,0.31852037);
  rgb(62pt)=(0.36827206,0.11993653,0.32076656);
  rgb(63pt)=(0.37459292,0.12029443,0.32294825);
  rgb(64pt)=(0.38092887,0.12061482,0.32506528);
  rgb(65pt)=(0.38727975,0.12089756,0.3271175);
  rgb(66pt)=(0.39364518,0.12114272,0.32910494);
  rgb(67pt)=(0.40002537,0.12134964,0.33102734);
  rgb(68pt)=(0.40642019,0.12151801,0.33288464);
  rgb(69pt)=(0.41282936,0.12164769,0.33467689);
  rgb(70pt)=(0.41925278,0.12173833,0.33640407);
  rgb(71pt)=(0.42569057,0.12178916,0.33806605);
  rgb(72pt)=(0.43214263,0.12179973,0.33966284);
  rgb(73pt)=(0.43860848,0.12177004,0.34119475);
  rgb(74pt)=(0.44508855,0.12169883,0.34266151);
  rgb(75pt)=(0.45158266,0.12158557,0.34406324);
  rgb(76pt)=(0.45809049,0.12142996,0.34540024);
  rgb(77pt)=(0.46461238,0.12123063,0.34667231);
  rgb(78pt)=(0.47114798,0.12098721,0.34787978);
  rgb(79pt)=(0.47769736,0.12069864,0.34902273);
  rgb(80pt)=(0.48426077,0.12036349,0.35010104);
  rgb(81pt)=(0.49083761,0.11998161,0.35111537);
  rgb(82pt)=(0.49742847,0.11955087,0.35206533);
  rgb(83pt)=(0.50403286,0.11907081,0.35295152);
  rgb(84pt)=(0.51065109,0.11853959,0.35377385);
  rgb(85pt)=(0.51728314,0.1179558,0.35453252);
  rgb(86pt)=(0.52392883,0.11731817,0.35522789);
  rgb(87pt)=(0.53058853,0.11662445,0.35585982);
  rgb(88pt)=(0.53726173,0.11587369,0.35642903);
  rgb(89pt)=(0.54394898,0.11506307,0.35693521);
  rgb(90pt)=(0.5506426,0.11420757,0.35737863);
  rgb(91pt)=(0.55734473,0.11330456,0.35775059);
  rgb(92pt)=(0.56405586,0.11235265,0.35804813);
  rgb(93pt)=(0.57077365,0.11135597,0.35827146);
  rgb(94pt)=(0.5774991,0.11031233,0.35841679);
  rgb(95pt)=(0.58422945,0.10922707,0.35848469);
  rgb(96pt)=(0.59096382,0.10810205,0.35847347);
  rgb(97pt)=(0.59770215,0.10693774,0.35838029);
  rgb(98pt)=(0.60444226,0.10573912,0.35820487);
  rgb(99pt)=(0.61118304,0.10450943,0.35794557);
  rgb(100pt)=(0.61792306,0.10325288,0.35760108);
  rgb(101pt)=(0.62466162,0.10197244,0.35716891);
  rgb(102pt)=(0.63139686,0.10067417,0.35664819);
  rgb(103pt)=(0.63812122,0.09938212,0.35603757);
  rgb(104pt)=(0.64483795,0.0980891,0.35533555);
  rgb(105pt)=(0.65154562,0.09680192,0.35454107);
  rgb(106pt)=(0.65824241,0.09552918,0.3536529);
  rgb(107pt)=(0.66492652,0.09428017,0.3526697);
  rgb(108pt)=(0.67159578,0.09306598,0.35159077);
  rgb(109pt)=(0.67824099,0.09192342,0.3504148);
  rgb(110pt)=(0.684863,0.09085633,0.34914061);
  rgb(111pt)=(0.69146268,0.0898675,0.34776864);
  rgb(112pt)=(0.69803757,0.08897226,0.3462986);
  rgb(113pt)=(0.70457834,0.0882129,0.34473046);
  rgb(114pt)=(0.71108138,0.08761223,0.3430635);
  rgb(115pt)=(0.7175507,0.08716212,0.34129974);
  rgb(116pt)=(0.72398193,0.08688725,0.33943958);
  rgb(117pt)=(0.73035829,0.0868623,0.33748452);
  rgb(118pt)=(0.73669146,0.08704683,0.33543669);
  rgb(119pt)=(0.74297501,0.08747196,0.33329799);
  rgb(120pt)=(0.74919318,0.08820542,0.33107204);
  rgb(121pt)=(0.75535825,0.08919792,0.32876184);
  rgb(122pt)=(0.76145589,0.09050716,0.32637117);
  rgb(123pt)=(0.76748424,0.09213602,0.32390525);
  rgb(124pt)=(0.77344838,0.09405684,0.32136808);
  rgb(125pt)=(0.77932641,0.09634794,0.31876642);
  rgb(126pt)=(0.78513609,0.09892473,0.31610488);
  rgb(127pt)=(0.79085854,0.10184672,0.313391);
  rgb(128pt)=(0.7965014,0.10506637,0.31063031);
  rgb(129pt)=(0.80205987,0.10858333,0.30783);
  rgb(130pt)=(0.80752799,0.11239964,0.30499738);
  rgb(131pt)=(0.81291606,0.11645784,0.30213802);
  rgb(132pt)=(0.81820481,0.12080606,0.29926105);
  rgb(133pt)=(0.82341472,0.12535343,0.2963705);
  rgb(134pt)=(0.82852822,0.13014118,0.29347474);
  rgb(135pt)=(0.83355779,0.13511035,0.29057852);
  rgb(136pt)=(0.83850183,0.14025098,0.2876878);
  rgb(137pt)=(0.84335441,0.14556683,0.28480819);
  rgb(138pt)=(0.84813096,0.15099892,0.281943);
  rgb(139pt)=(0.85281737,0.15657772,0.27909826);
  rgb(140pt)=(0.85742602,0.1622583,0.27627462);
  rgb(141pt)=(0.86196552,0.16801239,0.27346473);
  rgb(142pt)=(0.86641628,0.17387796,0.27070818);
  rgb(143pt)=(0.87079129,0.17982114,0.26797378);
  rgb(144pt)=(0.87507281,0.18587368,0.26529697);
  rgb(145pt)=(0.87925878,0.19203259,0.26268136);
  rgb(146pt)=(0.8833417,0.19830556,0.26014181);
  rgb(147pt)=(0.88731387,0.20469941,0.25769539);
  rgb(148pt)=(0.89116859,0.21121788,0.2553592);
  rgb(149pt)=(0.89490337,0.21785614,0.25314362);
  rgb(150pt)=(0.8985026,0.22463251,0.25108745);
  rgb(151pt)=(0.90197527,0.23152063,0.24918223);
  rgb(152pt)=(0.90530097,0.23854541,0.24748098);
  rgb(153pt)=(0.90848638,0.24568473,0.24598324);
  rgb(154pt)=(0.911533,0.25292623,0.24470258);
  rgb(155pt)=(0.9144225,0.26028902,0.24369359);
  rgb(156pt)=(0.91717106,0.26773821,0.24294137);
  rgb(157pt)=(0.91978131,0.27526191,0.24245973);
  rgb(158pt)=(0.92223947,0.28287251,0.24229568);
  rgb(159pt)=(0.92456587,0.29053388,0.24242622);
  rgb(160pt)=(0.92676657,0.29823282,0.24285536);
  rgb(161pt)=(0.92882964,0.30598085,0.24362274);
  rgb(162pt)=(0.93078135,0.31373977,0.24468803);
  rgb(163pt)=(0.93262051,0.3215093,0.24606461);
  rgb(164pt)=(0.93435067,0.32928362,0.24775328);
  rgb(165pt)=(0.93599076,0.33703942,0.24972157);
  rgb(166pt)=(0.93752831,0.34479177,0.25199928);
  rgb(167pt)=(0.93899289,0.35250734,0.25452808);
  rgb(168pt)=(0.94036561,0.36020899,0.25734661);
  rgb(169pt)=(0.94167588,0.36786594,0.2603949);
  rgb(170pt)=(0.94291042,0.37549479,0.26369821);
  rgb(171pt)=(0.94408513,0.3830811,0.26722004);
  rgb(172pt)=(0.94520419,0.39062329,0.27094924);
  rgb(173pt)=(0.94625977,0.39813168,0.27489742);
  rgb(174pt)=(0.94727016,0.4055909,0.27902322);
  rgb(175pt)=(0.94823505,0.41300424,0.28332283);
  rgb(176pt)=(0.94914549,0.42038251,0.28780969);
  rgb(177pt)=(0.95001704,0.42771398,0.29244728);
  rgb(178pt)=(0.95085121,0.43500005,0.29722817);
  rgb(179pt)=(0.95165009,0.44224144,0.30214494);
  rgb(180pt)=(0.9524044,0.44944853,0.3072105);
  rgb(181pt)=(0.95312556,0.45661389,0.31239776);
  rgb(182pt)=(0.95381595,0.46373781,0.31769923);
  rgb(183pt)=(0.95447591,0.47082238,0.32310953);
  rgb(184pt)=(0.95510255,0.47787236,0.32862553);
  rgb(185pt)=(0.95569679,0.48489115,0.33421404);
  rgb(186pt)=(0.95626788,0.49187351,0.33985601);
  rgb(187pt)=(0.95681685,0.49882008,0.34555431);
  rgb(188pt)=(0.9573439,0.50573243,0.35130912);
  rgb(189pt)=(0.95784842,0.51261283,0.35711942);
  rgb(190pt)=(0.95833051,0.51946267,0.36298589);
  rgb(191pt)=(0.95879054,0.52628305,0.36890904);
  rgb(192pt)=(0.95922872,0.53307513,0.3748895);
  rgb(193pt)=(0.95964538,0.53983991,0.38092784);
  rgb(194pt)=(0.96004345,0.54657593,0.3870292);
  rgb(195pt)=(0.96042097,0.55328624,0.39319057);
  rgb(196pt)=(0.96077819,0.55997184,0.39941173);
  rgb(197pt)=(0.9611152,0.5666337,0.40569343);
  rgb(198pt)=(0.96143273,0.57327231,0.41203603);
  rgb(199pt)=(0.96173392,0.57988594,0.41844491);
  rgb(200pt)=(0.96201757,0.58647675,0.42491751);
  rgb(201pt)=(0.96228344,0.59304598,0.43145271);
  rgb(202pt)=(0.96253168,0.5995944,0.43805131);
  rgb(203pt)=(0.96276513,0.60612062,0.44471698);
  rgb(204pt)=(0.96298491,0.6126247,0.45145074);
  rgb(205pt)=(0.96318967,0.61910879,0.45824902);
  rgb(206pt)=(0.96337949,0.6255736,0.46511271);
  rgb(207pt)=(0.96355923,0.63201624,0.47204746);
  rgb(208pt)=(0.96372785,0.63843852,0.47905028);
  rgb(209pt)=(0.96388426,0.64484214,0.4861196);
  rgb(210pt)=(0.96403203,0.65122535,0.4932578);
  rgb(211pt)=(0.96417332,0.65758729,0.50046894);
  rgb(212pt)=(0.9643063,0.66393045,0.5077467);
  rgb(213pt)=(0.96443322,0.67025402,0.51509334);
  rgb(214pt)=(0.96455845,0.67655564,0.52251447);
  rgb(215pt)=(0.96467922,0.68283846,0.53000231);
  rgb(216pt)=(0.96479861,0.68910113,0.53756026);
  rgb(217pt)=(0.96492035,0.69534192,0.5451917);
  rgb(218pt)=(0.96504223,0.7015636,0.5528892);
  rgb(219pt)=(0.96516917,0.70776351,0.5606593);
  rgb(220pt)=(0.96530224,0.71394212,0.56849894);
  rgb(221pt)=(0.96544032,0.72010124,0.57640375);
  rgb(222pt)=(0.96559206,0.72623592,0.58438387);
  rgb(223pt)=(0.96575293,0.73235058,0.59242739);
  rgb(224pt)=(0.96592829,0.73844258,0.60053991);
  rgb(225pt)=(0.96612013,0.74451182,0.60871954);
  rgb(226pt)=(0.96632832,0.75055966,0.61696136);
  rgb(227pt)=(0.96656022,0.75658231,0.62527295);
  rgb(228pt)=(0.96681185,0.76258381,0.63364277);
  rgb(229pt)=(0.96709183,0.76855969,0.64207921);
  rgb(230pt)=(0.96739773,0.77451297,0.65057302);
  rgb(231pt)=(0.96773482,0.78044149,0.65912731);
  rgb(232pt)=(0.96810471,0.78634563,0.66773889);
  rgb(233pt)=(0.96850919,0.79222565,0.6764046);
  rgb(234pt)=(0.96893132,0.79809112,0.68512266);
  rgb(235pt)=(0.96935926,0.80395415,0.69383201);
  rgb(236pt)=(0.9698028,0.80981139,0.70252255);
  rgb(237pt)=(0.97025511,0.81566605,0.71120296);
  rgb(238pt)=(0.97071849,0.82151775,0.71987163);
  rgb(239pt)=(0.97120159,0.82736371,0.72851999);
  rgb(240pt)=(0.97169389,0.83320847,0.73716071);
  rgb(241pt)=(0.97220061,0.83905052,0.74578903);
  rgb(242pt)=(0.97272597,0.84488881,0.75440141);
  rgb(243pt)=(0.97327085,0.85072354,0.76299805);
  rgb(244pt)=(0.97383206,0.85655639,0.77158353);
  rgb(245pt)=(0.97441222,0.86238689,0.78015619);
  rgb(246pt)=(0.97501782,0.86821321,0.78871034);
  rgb(247pt)=(0.97564391,0.87403763,0.79725261);
  rgb(248pt)=(0.97628674,0.87986189,0.8057883);
  rgb(249pt)=(0.97696114,0.88568129,0.81430324);
  rgb(250pt)=(0.97765722,0.89149971,0.82280948);
  rgb(251pt)=(0.97837585,0.89731727,0.83130786);
  rgb(252pt)=(0.97912374,0.90313207,0.83979337);
  rgb(253pt)=(0.979891,0.90894778,0.84827858);
  rgb(254pt)=(0.98067764,0.91476465,0.85676611);
  rgb(255pt)=(0.98137749,0.92061729,0.86536915)
}]
table{%
x                      y
-0.5 -0.5
0.5 0.5
-0.5 0.5
0.5 -0.5
};
\addlegendentry{LeNet5}
\addplot [black, dotted]
table {%
24.576 0.00310114023001122
24.576 19636.7809438693
};
\addlegendentry{CIFAR-10 image}
\addplot [white!50.1960784313725!black, dotted]
table {%
8.192 0.00310114023001122
8.192 19636.7809438693
};
\addlegendentry{MNIST image}
\addplot [white!10!black]
table {%
0 0
0.5 0.0063195
1 0.012639
1.5 0.0189585
2 0.025278
2.5 0.0315975
3 0.037917
3.5 0.0442365
4 0.050556
4.5 0.0568755
5 0.063195
5.5 0.0695145
6 0.075834
6.5 0.0821535
7 0.088473
7.5 0.0947925
8 0.101112
8.5 0.1074315
9 0.113751
9.5 0.1200705
10 0.12639
10.5 0.1327095
11 0.139029
11.5 0.1453485
12 0.151668
12.5 0.1579875
13 0.164307
13.5 0.1706265
14 0.176946
14.5 0.1832655
15 0.189585
15.5 0.1959045
16 0.202224
16.5 0.2085435
17 0.214863
17.5 0.2211825
18 0.227502
18.5 0.2338215
19 0.240141
19.5 0.2464605
20 0.25278
20.5 0.2590995
21 0.265419
21.5 0.2717385
22 0.278058
22.5 0.2843775
23 0.290697
23.5 0.2970165
24 0.303336
24.5 0.3096555
25 0.315975
25.5 0.3222945
26 0.328614
26.5 0.3349335
27 0.341253
27.5 0.3475725
28 0.353892
28.5 0.3602115
29 0.366531
29.5 0.3728505
30 0.37917
30.5 0.3854895
31 0.391809
31.5 0.3981285
32 0.404448
32.5 0.4107675
33 0.417087
33.5 0.4234065
34 0.429726
34.5 0.4360455
35 0.442365
35.5 0.4486845
36 0.455004
36.5 0.4613235
37 0.467643
37.5 0.4739625
38 0.480282
38.5 0.4866015
39 0.492921
39.5 0.4992405
40 0.50556
40.5 0.5118795
41 0.518199
41.5 0.5245185
42 0.530838
42.5 0.5371575
43 0.543477
43.5 0.5497965
44 0.556116
44.5 0.5624355
45 0.568755
45.5 0.5750745
46 0.581394
46.5 0.5877135
47 0.594033
47.5 0.6003525
48 0.606672
48.5 0.6129915
49 0.619311
49.5 0.6256305
};
\addlegendentry{BT5 best}
\addplot [color1]
table {%
0 0
0.5 0.02706
1 0.05412
1.5 0.08118
2 0.10824
2.5 0.1353
3 0.16236
3.5 0.18942
4 0.21648
4.5 0.24354
5 0.2706
5.5 0.29766
6 0.32472
6.5 0.35178
7 0.37884
7.5 0.4059
8 0.43296
8.5 0.46002
9 0.48708
9.5 0.51414
10 0.5412
10.5 0.56826
11 0.59532
11.5 0.62238
12 0.64944
12.5 0.6765
13 0.70356
13.5 0.73062
14 0.75768
14.5 0.78474
15 0.8118
15.5 0.83886
16 0.86592
16.5 0.89298
17 0.92004
17.5 0.9471
18 0.97416
18.5 1.00122
19 1.02828
19.5 1.05534
20 1.0824
20.5 1.10946
21 1.13652
21.5 1.16358
22 1.19064
22.5 1.2177
23 1.24476
23.5 1.27182
24 1.29888
24.5 1.32594
25 1.353
25.5 1.38006
26 1.40712
26.5 1.43418
27 1.46124
27.5 1.4883
28 1.51536
28.5 1.54242
29 1.56948
29.5 1.59654
30 1.6236
30.5 1.65066
31 1.67772
31.5 1.70478
32 1.73184
32.5 1.7589
33 1.78596
33.5 1.81302
34 1.84008
34.5 1.86714
35 1.8942
35.5 1.92126
36 1.94832
36.5 1.97538
37 2.00244
37.5 2.0295
38 2.05656
38.5 2.08362
39 2.11068
39.5 2.13774
40 2.1648
40.5 2.19186
41 2.21892
41.5 2.24598
42 2.27304
42.5 2.3001
43 2.32716
43.5 2.35422
44 2.38128
44.5 2.40834
45 2.4354
45.5 2.46246
46 2.48952
46.5 2.51658
47 2.54364
47.5 2.5707
48 2.59776
48.5 2.62482
49 2.65188
49.5 2.67894
};
\addlegendentry{BT5 worst}
\addplot [color2]
table {%
0 0
0.5 0.0825
1 0.165
1.5 0.2475
2 0.33
2.5 0.4125
3 0.495
3.5 0.5775
4 0.66
4.5 0.7425
5 0.825
5.5 0.9075
6 0.99
6.5 1.0725
7 1.155
7.5 1.2375
8 1.32
8.5 1.4025
9 1.485
9.5 1.5675
10 1.65
10.5 1.7325
11 1.815
11.5 1.8975
12 1.98
12.5 2.0625
13 2.145
13.5 2.2275
14 2.31
14.5 2.3925
15 2.475
15.5 2.5575
16 2.64
16.5 2.7225
17 2.805
17.5 2.8875
18 2.97
18.5 3.0525
19 3.135
19.5 3.2175
20 3.3
20.5 3.3825
21 3.465
21.5 3.5475
22 3.63
22.5 3.7125
23 3.795
23.5 3.8775
24 3.96
24.5 4.0425
25 4.125
25.5 4.2075
26 4.29
26.5 4.3725
27 4.455
27.5 4.5375
28 4.62
28.5 4.7025
29 4.785
29.5 4.8675
30 4.95
30.5 5.0325
31 5.115
31.5 5.1975
32 5.28
32.5 5.3625
33 5.445
33.5 5.5275
34 5.61
34.5 5.6925
35 5.775
35.5 5.8575
36 5.94
36.5 6.0225
37 6.105
37.5 6.1875
38 6.27
38.5 6.3525
39 6.435
39.5 6.5175
40 6.6
40.5 6.6825
41 6.765
41.5 6.8475
42 6.93
42.5 7.0125
43 7.095
43.5 7.1775
44 7.26
44.5 7.3425
45 7.425
45.5 7.5075
46 7.59
46.5 7.6725
47 7.755
47.5 7.8375
48 7.92
48.5 8.0025
49 8.085
49.5 8.1675
};
\addlegendentry{FSK best}
\addplot [color0]
table {%
0 0
0.5 0.649
1 1.298
1.5 1.947
2 2.596
2.5 3.245
3 3.894
3.5 4.543
4 5.192
4.5 5.841
5 6.49
5.5 7.139
6 7.788
6.5 8.437
7 9.086
7.5 9.735
8 10.384
8.5 11.033
9 11.682
9.5 12.331
10 12.98
10.5 13.629
11 14.278
11.5 14.927
12 15.576
12.5 16.225
13 16.874
13.5 17.523
14 18.172
14.5 18.821
15 19.47
15.5 20.119
16 20.768
16.5 21.417
17 22.066
17.5 22.715
18 23.364
18.5 24.013
19 24.662
19.5 25.311
20 25.96
20.5 26.609
21 27.258
21.5 27.907
22 28.556
22.5 29.205
23 29.854
23.5 30.503
24 31.152
24.5 31.801
25 32.45
25.5 33.099
26 33.748
26.5 34.397
27 35.046
27.5 35.695
28 36.344
28.5 36.993
29 37.642
29.5 38.291
30 38.94
30.5 39.589
31 40.238
31.5 40.887
32 41.536
32.5 42.185
33 42.834
33.5 43.483
34 44.132
34.5 44.781
35 45.43
35.5 46.079
36 46.728
36.5 47.377
37 48.026
37.5 48.675
38 49.324
38.5 49.973
39 50.622
39.5 51.271
40 51.92
40.5 52.569
41 53.218
41.5 53.867
42 54.516
42.5 55.165
43 55.814
43.5 56.463
44 57.112
44.5 57.761
45 58.41
45.5 59.059
46 59.708
46.5 60.357
47 61.006
47.5 61.655
48 62.304
48.5 62.953
49 63.602
49.5 64.251
};
\addlegendentry{FSK worst}
\addplot [white!10!black]
table {%
0 0
0.5 0.396
1 0.792
1.5 1.188
2 1.584
2.5 1.98
3 2.376
3.5 2.772
4 3.168
4.5 3.564
5 3.96
5.5 4.356
6 4.752
6.5 5.148
7 5.544
7.5 5.94
8 6.336
8.5 6.732
9 7.128
9.5 7.524
10 7.92
10.5 8.316
11 8.712
11.5 9.108
12 9.504
12.5 9.9
13 10.296
13.5 10.692
14 11.088
14.5 11.484
15 11.88
15.5 12.276
16 12.672
16.5 13.068
17 13.464
17.5 13.86
18 14.256
18.5 14.652
19 15.048
19.5 15.444
20 15.84
20.5 16.236
21 16.632
21.5 17.028
22 17.424
22.5 17.82
23 18.216
23.5 18.612
24 19.008
24.5 19.404
25 19.8
25.5 20.196
26 20.592
26.5 20.988
27 21.384
27.5 21.78
28 22.176
28.5 22.572
29 22.968
29.5 23.364
30 23.76
30.5 24.156
31 24.552
31.5 24.948
32 25.344
32.5 25.74
33 26.136
33.5 26.532
34 26.928
34.5 27.324
35 27.72
35.5 28.116
36 28.512
36.5 28.908
37 29.304
37.5 29.7
38 30.096
38.5 30.492
39 30.888
39.5 31.284
40 31.68
40.5 32.076
41 32.472
41.5 32.868
42 33.264
42.5 33.66
43 34.056
43.5 34.452
44 34.848
44.5 35.244
45 35.64
45.5 36.036
46 36.432
46.5 36.828
47 37.224
47.5 37.62
48 38.016
48.5 38.412
49 38.808
49.5 39.204
};
\addlegendentry{LoRa best}
\addplot [color1]
table {%
0 0
0.5 3.1152
1 6.2304
1.5 9.3456
2 12.4608
2.5 15.576
3 18.6912
3.5 21.8064
4 24.9216
4.5 28.0368
5 31.152
5.5 34.2672
6 37.3824
6.5 40.4976
7 43.6128
7.5 46.728
8 49.8432
8.5 52.9584
9 56.0736
9.5 59.1888
10 62.304
10.5 65.4192
11 68.5344
11.5 71.6496
12 74.7648
12.5 77.88
13 80.9952
13.5 84.1104
14 87.2256
14.5 90.3408
15 93.456
15.5 96.5712
16 99.6864
16.5 102.8016
17 105.9168
17.5 109.032
18 112.1472
18.5 115.2624
19 118.3776
19.5 121.4928
20 124.608
20.5 127.7232
21 130.8384
21.5 133.9536
22 137.0688
22.5 140.184
23 143.2992
23.5 146.4144
24 149.5296
24.5 152.6448
25 155.76
25.5 158.8752
26 161.9904
26.5 165.1056
27 168.2208
27.5 171.336
28 174.4512
28.5 177.5664
29 180.6816
29.5 183.7968
30 186.912
30.5 190.0272
31 193.1424
31.5 196.2576
32 199.3728
32.5 202.488
33 205.6032
33.5 208.7184
34 211.8336
34.5 214.9488
35 218.064
35.5 221.1792
36 224.2944
36.5 227.4096
37 230.5248
37.5 233.64
38 236.7552
38.5 239.8704
39 242.9856
39.5 246.1008
40 249.216
40.5 252.3312
41 255.4464
41.5 258.5616
42 261.6768
42.5 264.792
43 267.9072
43.5 271.0224
44 274.1376
44.5 277.2528
45 280.368
45.5 283.4832
46 286.5984
46.5 289.7136
47 292.8288
47.5 295.944
48 299.0592
48.5 302.1744
49 305.2896
49.5 308.4048
};
\addlegendentry{LoRa worst}
\addplot [color2]
table {%
0 0
0.5 17.9098360655738
1 35.8196721311475
1.5 53.7295081967213
2 71.6393442622951
2.5 89.5491803278689
3 107.459016393443
3.5 125.368852459016
4 143.27868852459
4.5 161.188524590164
5 179.098360655738
5.5 197.008196721311
6 214.918032786885
6.5 232.827868852459
7 250.737704918033
7.5 268.647540983607
8 286.55737704918
8.5 304.467213114754
9 322.377049180328
9.5 340.286885245902
10 358.196721311475
10.5 376.106557377049
11 394.016393442623
11.5 411.926229508197
12 429.83606557377
12.5 447.745901639344
13 465.655737704918
13.5 483.565573770492
14 501.475409836066
14.5 519.385245901639
15 537.295081967213
15.5 555.204918032787
16 573.114754098361
16.5 591.024590163934
17 608.934426229508
17.5 626.844262295082
18 644.754098360656
18.5 662.66393442623
19 680.573770491803
19.5 698.483606557377
20 716.393442622951
20.5 734.303278688525
21 752.213114754098
21.5 770.122950819672
22 788.032786885246
22.5 805.94262295082
23 823.852459016393
23.5 841.762295081967
24 859.672131147541
24.5 877.581967213115
25 895.491803278689
25.5 913.401639344262
26 931.311475409836
26.5 949.22131147541
27 967.131147540984
27.5 985.040983606557
28 1002.95081967213
28.5 1020.8606557377
29 1038.77049180328
29.5 1056.68032786885
30 1074.59016393443
30.5 1092.5
31 1110.40983606557
31.5 1128.31967213115
32 1146.22950819672
32.5 1164.1393442623
33 1182.04918032787
33.5 1199.95901639344
34 1217.86885245902
34.5 1235.77868852459
35 1253.68852459016
35.5 1271.59836065574
36 1289.50819672131
36.5 1307.41803278689
37 1325.32786885246
37.5 1343.23770491803
38 1361.14754098361
38.5 1379.05737704918
39 1396.96721311475
39.5 1414.87704918033
40 1432.7868852459
40.5 1450.69672131148
41 1468.60655737705
41.5 1486.51639344262
42 1504.4262295082
42.5 1522.33606557377
43 1540.24590163934
43.5 1558.15573770492
44 1576.06557377049
44.5 1593.97540983607
45 1611.88524590164
45.5 1629.79508196721
46 1647.70491803279
46.5 1665.61475409836
47 1683.52459016393
47.5 1701.43442622951
48 1719.34426229508
48.5 1737.25409836066
49 1755.16393442623
49.5 1773.0737704918
};
\addlegendentry{UMTS best}
\addplot [color0]
table {%
0 0
0.5 97.3360655737705
1 194.672131147541
1.5 292.008196721311
2 389.344262295082
2.5 486.680327868852
3 584.016393442623
3.5 681.352459016393
4 778.688524590164
4.5 876.024590163934
5 973.360655737705
5.5 1070.69672131148
6 1168.03278688525
6.5 1265.36885245902
7 1362.70491803279
7.5 1460.04098360656
8 1557.37704918033
8.5 1654.7131147541
9 1752.04918032787
9.5 1849.38524590164
10 1946.72131147541
10.5 2044.05737704918
11 2141.39344262295
11.5 2238.72950819672
12 2336.06557377049
12.5 2433.40163934426
13 2530.73770491803
13.5 2628.0737704918
14 2725.40983606557
14.5 2822.74590163934
15 2920.08196721311
15.5 3017.41803278689
16 3114.75409836066
16.5 3212.09016393443
17 3309.4262295082
17.5 3406.76229508197
18 3504.09836065574
18.5 3601.43442622951
19 3698.77049180328
19.5 3796.10655737705
20 3893.44262295082
20.5 3990.77868852459
21 4088.11475409836
21.5 4185.45081967213
22 4282.7868852459
22.5 4380.12295081967
23 4477.45901639344
23.5 4574.79508196721
24 4672.13114754098
24.5 4769.46721311475
25 4866.80327868852
25.5 4964.13934426229
26 5061.47540983607
26.5 5158.81147540984
27 5256.14754098361
27.5 5353.48360655738
28 5450.81967213115
28.5 5548.15573770492
29 5645.49180327869
29.5 5742.82786885246
30 5840.16393442623
30.5 5937.5
31 6034.83606557377
31.5 6132.17213114754
32 6229.50819672131
32.5 6326.84426229508
33 6424.18032786885
33.5 6521.51639344262
34 6618.85245901639
34.5 6716.18852459016
35 6813.52459016393
35.5 6910.8606557377
36 7008.19672131147
36.5 7105.53278688525
37 7202.86885245902
37.5 7300.20491803279
38 7397.54098360656
38.5 7494.87704918033
39 7592.2131147541
39.5 7689.54918032787
40 7786.88524590164
40.5 7884.22131147541
41 7981.55737704918
41.5 8078.89344262295
42 8176.22950819672
42.5 8273.56557377049
43 8370.90163934426
43.5 8468.23770491803
44 8565.5737704918
44.5 8662.90983606557
45 8760.24590163934
45.5 8857.58196721311
46 8954.91803278689
46.5 9052.25409836066
47 9149.59016393443
47.5 9246.9262295082
48 9344.26229508197
48.5 9441.59836065574
49 9538.93442622951
49.5 9636.27049180328
};
\addlegendentry{UMTS worst}
\end{axis}

\end{tikzpicture}
